Summary:	Library that will let you add mathematical features to your program
Name:		analitza
Version:	17.12.3
Release:	1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
The Analitza library will let you add mathematical features to your program.

#----------------------------------------------------------------------------

%package i18n
Summary:	The Analitza library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
The Analitza library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package plots
Summary:	Plots used by the libanalitzaplot library
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description plots
This package provides plots used by the libanalitzaplot library.

%files plots
%{_kde5_datadir}/libanalitza/plots/*.plots

#----------------------------------------------------------------------------

%define qmlanalitza %mklibname analitza-qml

%package -n %{qmlanalitza}
Summary:	QML plugin for Analitza library
Group:		System/Libraries
Provides:	analitza-qml = %{EVRD}

%description -n %{qmlanalitza}
QML plugin for Analitza library.

%files -n %{qmlanalitza}
%dir %{_kde5_qmldir}/org/kde/analitza/
%{_kde5_qmldir}/org/kde/analitza/*

#----------------------------------------------------------------------------

%define analitza_major 8
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %{libanalitza}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	analitza-qml

%description -n %{libanalitza}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitza}
%{_kde5_libdir}/libAnalitza.so.%{analitzagui_major}*

#----------------------------------------------------------------------------

%define analitzagui_major 8
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %{libanalitzagui}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libanalitzagui}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitzagui}
%{_kde5_libdir}/libAnalitzaGui.so.%{analitzagui_major}*

#----------------------------------------------------------------------------

%define analitzaplot_major 8
%define libanalitzaplot %mklibname analitzaplot %{analitzaplot_major}

%package -n %{libanalitzaplot}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	analitza-plots

%description -n %{libanalitzaplot}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitzaplot}
%{_kde5_libdir}/libAnalitzaPlot.so.%{analitzaplot_major}*

#----------------------------------------------------------------------------

%define analitzawidgets_major 8
%define libanalitzawidgets %mklibname analitzawidgets %{analitzawidgets_major}

%package -n %{libanalitzawidgets}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libanalitzawidgets}
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %{libanalitzawidgets}
%{_kde5_libdir}/libAnalitzaWidgets.so.%{analitzawidgets_major}*

#----------------------------------------------------------------------------

%define devanalitza %mklibname analitza -d

%package -n %{devanalitza}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libanalitza} = %{EVRD}
Requires:	%{libanalitzagui} = %{EVRD}
Requires:	%{libanalitzaplot} = %{EVRD}
Requires:	%{libanalitzawidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{name}-devel < 16.08.2

%description -n %{devanalitza}
Files needed to build applications based on %{name}.

%files -n %{devanalitza}
%{_kde5_includedir}/Analitza5
%{_kde5_libdir}/cmake/Analitza5
%{_kde5_libdir}/libAnalitza.so
%{_kde5_libdir}/libAnalitzaGui.so
%{_kde5_libdir}/libAnalitzaPlot.so
%{_kde5_libdir}/libAnalitzaWidgets.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-qt

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (436e2ce) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (4464eab) Build requires pkgconfig(Qt5PrintSupport)
- (Andrey Bondrov: cd02727) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (dce8716) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (a6be584) New library major 8
- (a6be584) Add i18n subpackage
- (Andrey Bondrov: eedc2dd) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (1de1eed) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (7a29591) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (6859cc7) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (0d0d592) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (254dee6) MassBuild#1212: Increase release tag

* Tue Nov 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (3237c1c) New version 16.08.2
- (3237c1c) Switch to KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (df8b59f) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (9ab2a48) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (f9ade53) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (a12e066) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (cc5e92e) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (2d35889) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (1818bc0) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (e45fc69) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (c551367) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (fcdd75f) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (0aeece9) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (c0ea5b1) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (182a375) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (b277cc3) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (175e8e8) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (780b728) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.2-1
- (501a4e8) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.1-1
- (653d6f3) New version 4.9.1


